export const screenVertexShader = `
varying vec2 vUv;

void main() {
    vUv = uv;
    gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0);
}
`;

export const screenFragmentShader = `
varying vec2 vUv;
uniform sampler2D videoTexture;

void main() {
    // Sample the video texture
    gl_FragColor = texture2D(videoTexture, vUv);
}
`;